=== modified file 'Makefile'
--- Makefile	2012-03-09 16:48:55 +0000
+++ Makefile	2016-02-01 18:09:33 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2012, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -435,8 +435,8 @@
 update-pot: po/bzr.pot
 
 TRANSLATABLE_PYFILES:=$(shell find bzrlib -name '*.py' \
-    		| grep -v 'bzrlib/tests/' \
-    		| grep -v 'bzrlib/doc' \
+		| grep -v 'bzrlib/tests/' \
+		| grep -v 'bzrlib/doc' \
 		)
 
 po/bzr.pot: $(PYFILES) $(DOCFILES)

=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2013-07-27 12:53:28 +0000
+++ bzrlib/__init__.py	2016-02-01 18:09:33 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005-2011 Canonical Ltd
+# Copyright (C) 2005-2013, 2016 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -55,7 +55,7 @@
 # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
 # releaselevel of 'dev' for unreleased under-development code.
 
-version_info = (2, 7, 0, 'dev', 1)
+version_info = (2, 7, 0, 'final', 0)
 
 # API compatibility version
 api_minimum_version = (2, 4, 0)

=== modified file 'doc/en/release-notes/bzr-2.7.txt'
--- doc/en/release-notes/bzr-2.7.txt	2016-01-28 13:13:28 +0000
+++ doc/en/release-notes/bzr-2.7.txt	2016-02-01 18:09:33 +0000
@@ -5,27 +5,24 @@
 .. toctree::
    :maxdepth: 1
 
-bzr 2.7b1
+bzr 2.7.0
 #########
 
-:2.7b1: NOT RELEASED YET
+:2.7.0: 2016-02-01
 
 External Compatibility Breaks
 *****************************
 
-.. These may require users to change the way they use Bazaar.
+None.
 
 New Features
 ************
 
-.. New commands, options, etc that users may wish to try out.
+None.
 
 Improvements
 ************
 
-.. Improvements to existing commands, especially improved performance 
-   or memory usage, or better results.
-
 * bzrlib.patches.parse_patches can optionally return a list of 'dirty'
   patch headers (prefixed with '===').
   (Kit Randel, #1400567)
@@ -33,9 +30,6 @@
 Bug Fixes
 *********
 
-.. Fixes for situations where bzr would previously crash or give incorrect
-   or undesirable results.
-
 * 'acceptable_keys' from 'bazaar.conf' is now properly handled.
   (Vincent Ladeuil, #1249732)
 
@@ -49,23 +43,15 @@
 * Forbid more operations for ReadonlyTransportDecorator so no more write
   methods can be used my mistake.  (Vincent Ladeuil, #150196)
 
-Documentation
-*************
-
-.. Improved or updated documentation.
 
 API Changes
 ***********
 
-.. Changes that may require updates in plugins or other code that uses
-   bzrlib.
+None.
 
 Internals
 *********
 
-.. Major internal changes, unlikely to be visible to users or plugin 
-   developers, but interesting for bzr developers.
-
 * Make all transport put_bytes() raises TypeError instead of AssertionError
   or UnicodeEncodeError when given unicode strings rather than bytes.
   (Vincent Ladeuil, #106898)
@@ -82,10 +68,6 @@
 Testing
 *******
 
-.. Fixes and changes that are only relevant to bzr's test framework and 
-   suite.  This can include new facilities for writing tests, fixes to 
-   spurious test failures and changes to the way things should be tested.
-
 * Fix gpgme test failure starting on wily. (Vincent Ladeuil)
      
 * Fix racy http tests (TestBadStatusServer is so simple, it exposes a race
@@ -116,6 +98,3 @@
      
 * Take python 2.7.6 late (better than never) bugfix in ntpath.py into
   account. Only tests are affected (Vincent Ladeuil, #1303879).
-
-..
-   vim: tw=74 ft=rst ff=unix

=== modified file 'doc/en/whats-new/whats-new-in-2.6.txt'
--- doc/en/whats-new/whats-new-in-2.6.txt	2013-08-04 09:58:13 +0000
+++ doc/en/whats-new/whats-new-in-2.6.txt	2016-02-01 18:09:33 +0000
@@ -3,7 +3,7 @@
 *************************
 
 Bazaar 2.6 has been released on the 27th of July 2013 and marks the start of
-a new long-trem stable series. From here, we will only make bugfix releases
+a new long-term stable series. From here, we will only make bugfix releases
 on the 2.6 series (2.6.1, etc), while 2.7 will become our new development
 series.
 

=== modified file 'doc/en/whats-new/whats-new-in-2.7.txt'
--- doc/en/whats-new/whats-new-in-2.7.txt	2013-07-27 12:53:28 +0000
+++ doc/en/whats-new/whats-new-in-2.7.txt	2016-02-01 18:09:33 +0000
@@ -2,11 +2,52 @@
 What's New in Bazaar 2.7?
 *************************
 
-Bazaar 2.7 is still under development, and will be released when ready.
+Bazaar 2.7 has been released on the 1st of February 2016 and marks the start
+of a new long-term stable series. From here, we will only make bugfix
+releases on the 2.7 series (2.7.1, etc), while 2.8 will become our new
+development series.
+
+
 This document accumulates a high level summary of what's changed.  See the
 :doc:`../release-notes/index` for a full list.
 
-<topics of interest here>
+Users are encouraged to upgrade from the other stable series.  This document
+outlines the improvements in Bazaar 2.7 vs Bazaar 2.6. As well as
+summarizing improvements made to the core product, it highlights
+enhancements within the broader Bazaar world of potential interest to those
+upgrading.
+
+Bazaar 2.7.0 is fully compatible both locally and on the network with 2.0,
+2.1, 2.2, 2.3, 2.4, 2.5 and 2.6, and can read and write repositories
+generated by all previous versions.
+
+python-2.6 EOL'ed
+*****************
+
+python 2.6 has been EOL'ed since the release of bzr 2.6. The last python 2.6
+version was released on 2013-10-29. While bzr 2.7 remains compatible with
+python 2.6, no further update of bzr is expected in this regard.
+
+SSL Certificate Verification Support in urllib HTTPS backend
+************************************************************
+
+python 2.7 received security updates regarding SSL certificate
+verification. bzr 2.7 relies on the ssl python module for this and as such
+benefit from these security updates.
+
+This isn't true for python 2.6 so users are encouraged to upgrade.
+
+Users that cannot upgrade will be warned that the hostname cannot be
+verified and can remove the warnings by setting the ``ssl.cert_reqs`` option
+to ``none``.
+
+Test reliability
+****************
+
+Most of the bug fixes in 2.7 are related to test failures triggered by
+various python 2.7 updates. Among other distributions, debian and ubuntu
+have carried patches that have now part of bzr 2.7.
+
 
 Further information
 *******************

